QGIS Application - Bug report #2894
Mapserver export: mangles shapefile paths in mapfile (layerid=0)
2010-07-19 08:10 AM - Sandro Santill

Status: Closed

Priority: Low

Assignee: Richard Duivenvoorde

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12954
Description

When exporting a project file to mapserver's mapfile the paths to shapefiles (DATA "/path/...") gets written with a "[layerid=0" substring
appended, making them all unresolvable to mapserver.

The substring seems to be also in the project file itself, and works fine there (<datasource>) just needs to be split before writing to
mapfile.

Associated revisions

Revision 0145688 - 2010-07-19 05:28 PM - Jiirgen Fischer

fix #2894

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13937 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 75ce1bce - 2010-07-19 05:28 PM - Jiirgen Fischer

fix #2894

git-svn-id: http://svn.osgeo.org/qgis/trunk@13937 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-07-19 08:28 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:75ce1bce (SVN r13938).

2025-04-27 1/1



http://svn.osgeo.org/qgis/trunk/qgis@13937
http://svn.osgeo.org/qgis/trunk@13937

